Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Monthly UK retail price indices including year-over-year changes.
{ "prices": [ { "date": "2025-02-01", "series_key": "SERIES_A", "value": 128.4 }, { "date": "2025-02-01", "series_key": "SERIES_B", "value": 3.2 } ] }
Authorization
Authorization: Bearer <your-jwt-token>
120
Show Object properties
curl "https://api.consumersignals.io/api/retail-prices?limit=36" \ -H "Authorization: Bearer YOUR_JWT_TOKEN"
import requests response = requests.get( "https://api.consumersignals.io/api/retail-prices", params={"limit": 36}, headers={"Authorization": "Bearer YOUR_JWT_TOKEN"} ) data = response.json()
const response = await fetch( "https://api.consumersignals.io/api/retail-prices?limit=36", { headers: { Authorization: "Bearer YOUR_JWT_TOKEN", }, } ); const data = await response.json();